## ros-one-rqt-joint-trajectory-plot 0.0.5-7jammy.20251023.0421

=== debian/changelog ===
ros-one-rqt-joint-trajectory-plot (0.0.5-7jammy.20251023.0421) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Thu, 23 Oct 2025 04:21:37 +0000

ros-one-rqt-joint-trajectory-plot (0.0.5-0jammy) jammy; urgency=high

  * Add melodic release(#13 <https://github.com/tork-a/rqt_joint_trajectory_plot/issues/13>)
    - Set CI python version to 3.6
    - Merge pull request
  * added ability to plot planned_path from moveit and made rqt launch file(#10 <https://github.com/tork-a/rqt_joint_trajectory_plot/issues/10>)
    - updated package.xml to include moveit_msgs for plotting display_trajectory messages
  * fixed example PVA image size
  * added empty display trajectory check and updated readme with instrucitons to launch PVA perspective
  * added ability to plot planned_path from moveit and made rqt launch file with custom perspective
  * Fix workspace name for CI (#11 <https://github.com/tork-a/rqt_joint_trajectory_plot/issues/11>)
    - Fix workspace name as https://github.com/tork-a/jog_control/pull/37/files
  * added empty display trajectory check and updated readme with instrucitons to launch PVA perspective
  * added ability to plot planned_path from moveit and made rqt launch file with custom perspective
  * Add travis.yml
  * Contributors: Ryosuke Tajima, marqrazz

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Sat, 07 Mar 2020 00:00:00 -0000

ros-one-rqt-joint-trajectory-plot (0.0.4-0jammy) jammy; urgency=high

  * Fix lint problem
  * Contributors: Ryosuke Tajima

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Thu, 14 Jun 2018 00:00:00 -0000

ros-one-rqt-joint-trajectory-plot (0.0.3-0jammy) jammy; urgency=high

  * Check the qt version in plot_widget.py for indigo release(#9 <https://github.com/tork-a/rqt_joint_trajectory_plot/issues/9>)
  * Contributors: Ryosuke Tajima

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Thu, 14 Jun 2018 00:00:00 -0000

ros-one-rqt-joint-trajectory-plot (0.0.2-0jammy) jammy; urgency=high

  * Add script/rqt_joint_trajectory_plot(#7 <https://github.com/tork-a/rqt_joint_trajectory_plot/issues/7>)
  * Update to visualize FollowJointTrajectoryActionGoal(#6 <https://github.com/tork-a/rqt_joint_trajectory_plot/issues/6>)
  * Contributors: Kei Okada, Ryosuke Tajima

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Fri, 08 Jun 2018 00:00:00 -0000

ros-one-rqt-joint-trajectory-plot (0.0.1-0jammy) jammy; urgency=high

  * Organize and format package files
    - roslint check
    - autopep8 for python scripts
  * Port to PyQt5 as used in kinetic(#1 <https://github.com/7675t/rqt_joint_trajectory_plot/issues/1>)
  * Port to PyQt5
    no toolbar so far, apparently this is not yet(?!) available in matplotlibs Qt5Agg backend.
  * add screenshot to README.md
  * add a screenshot file.
  * Initial commit
  * Contributors: Ryosuke Tajima, Simon Schmeisser

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Sat, 20 Jan 2018 00:00:00 -0000

## ros-one-rqt-joint-trajectory-plot 0.0.5-7jammy.20260221.0054

=== debian/changelog ===
ros-one-rqt-joint-trajectory-plot (0.0.5-7jammy.20260221.0054) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Sat, 21 Feb 2026 00:54:16 +0000

## ros-one-rqt-joint-trajectory-plot 0.0.5-7noble.20251023.0419

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rqt_joint_trajectory_plot)
find_package(catkin REQUIRED)
catkin_package()
catkin_python_setup()

install(
  FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(
  DIRECTORY resource
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  FILES_MATCHING
  PATTERN "*.ui"
)

catkin_install_python(
  PROGRAMS script/joint_trajectory_generator.py script/rqt_joint_trajectory_plot
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
  DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  FILES_MATCHING
  PATTERN "*.launch"
)

if(CATKIN_ENABLE_TESTING)
  find_package(roslint REQUIRED)
  set(ROSLINT_PYTHON_OPTS "--max-line-length=180")
  roslint_python(src/rqt_joint_trajectory_plot/plot_widget.py)
  add_dependencies(tests roslint)

  find_package(roslaunch REQUIRED)
  find_package(rostest REQUIRED)
  file(GLOB LAUNCH_FILES launch/*.launch)
  foreach(LAUNCH_FILE ${LAUNCH_FILES})
    message(STATUS "Testing ${LAUNCH_FILE}")
    roslaunch_add_file_check(${LAUNCH_FILE})
  endforeach()
endif()

=== debian/changelog ===
ros-one-rqt-joint-trajectory-plot (0.0.5-7noble.20251023.0419) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Thu, 23 Oct 2025 04:19:10 +0000

ros-one-rqt-joint-trajectory-plot (0.0.5-0noble) noble; urgency=high

  * Add melodic release(#13 <https://github.com/tork-a/rqt_joint_trajectory_plot/issues/13>)
    - Set CI python version to 3.6
    - Merge pull request
  * added ability to plot planned_path from moveit and made rqt launch file(#10 <https://github.com/tork-a/rqt_joint_trajectory_plot/issues/10>)
    - updated package.xml to include moveit_msgs for plotting display_trajectory messages
  * fixed example PVA image size
  * added empty display trajectory check and updated readme with instrucitons to launch PVA perspective
  * added ability to plot planned_path from moveit and made rqt launch file with custom perspective
  * Fix workspace name for CI (#11 <https://github.com/tork-a/rqt_joint_trajectory_plot/issues/11>)
    - Fix workspace name as https://github.com/tork-a/jog_control/pull/37/files
  * added empty display trajectory check and updated readme with instrucitons to launch PVA perspective
  * added ability to plot planned_path from moveit and made rqt launch file with custom perspective
  * Add travis.yml
  * Contributors: Ryosuke Tajima, marqrazz

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Sat, 07 Mar 2020 00:00:00 -0000

ros-one-rqt-joint-trajectory-plot (0.0.4-0noble) noble; urgency=high

  * Fix lint problem
  * Contributors: Ryosuke Tajima

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Thu, 14 Jun 2018 00:00:00 -0000

ros-one-rqt-joint-trajectory-plot (0.0.3-0noble) noble; urgency=high

  * Check the qt version in plot_widget.py for indigo release(#9 <https://github.com/tork-a/rqt_joint_trajectory_plot/issues/9>)
  * Contributors: Ryosuke Tajima

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Thu, 14 Jun 2018 00:00:00 -0000

ros-one-rqt-joint-trajectory-plot (0.0.2-0noble) noble; urgency=high

  * Add script/rqt_joint_trajectory_plot(#7 <https://github.com/tork-a/rqt_joint_trajectory_plot/issues/7>)
  * Update to visualize FollowJointTrajectoryActionGoal(#6 <https://github.com/tork-a/rqt_joint_trajectory_plot/issues/6>)
  * Contributors: Kei Okada, Ryosuke Tajima

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Fri, 08 Jun 2018 00:00:00 -0000

ros-one-rqt-joint-trajectory-plot (0.0.1-0noble) noble; urgency=high

  * Organize and format package files
    - roslint check
    - autopep8 for python scripts
  * Port to PyQt5 as used in kinetic(#1 <https://github.com/7675t/rqt_joint_trajectory_plot/issues/1>)
  * Port to PyQt5
    no toolbar so far, apparently this is not yet(?!) available in matplotlibs Qt5Agg backend.
  * add screenshot to README.md
  * add a screenshot file.
  * Initial commit
  * Contributors: Ryosuke Tajima, Simon Schmeisser

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Sat, 20 Jan 2018 00:00:00 -0000

=== debian/control ===
Source: ros-one-rqt-joint-trajectory-plot
Section: misc
Priority: optional
Maintainer: Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-roslaunch, ros-one-roslint, ros-one-rospy, ros-one-rostest, ros-one-rqt-gui, ros-one-rqt-gui-py
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-rqt-joint-trajectory-plot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-control-msgs, ros-one-moveit-msgs, ros-one-rospy, ros-one-rqt-gui, ros-one-rqt-gui-py, ros-one-rqt-py-common, ros-one-trajectory-msgs
Description: The rqt_joint_trajectory_plot package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-rqt-joint-trajectory-plot//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-rqt-joint-trajectory-plot 0.0.5-7noble.20260221.0127

=== debian/changelog ===
ros-one-rqt-joint-trajectory-plot (0.0.5-7noble.20260221.0127) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Sat, 21 Feb 2026 01:27:48 +0000
